# GstGLViewConvert

Convert stereoscopic/multiview video using fragment shaders.

## GstGLViewConvert

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLViewConvert

GstGLViewConvert is an opaque struct and should only be accessed through the provided api.

### Members

`object` (GstObject) –
No description available
`context` (GstGLContext *) –
No description available
`shader` (GstGLShader *) –
No description available
`input_mode_override` (GstVideoMultiviewMode) –
No description available
`input_flags_override` (GstVideoMultiviewFlags) –
No description available
`output_mode_override` (GstVideoMultiviewMode) –
No description available
`output_flags_override` (GstVideoMultiviewFlags) –
No description available
`downmix_mode` (GstGLStereoDownmix) –
No description available
`in_info` (GstVideoInfo) –
No description available
`out_info` (GstVideoInfo) –
No description available
`from_texture_target` (GstGLTextureTarget) –
No description available
`to_texture_target` (GstGLTextureTarget) –
No description available
`caps_passthrough` (gboolean) –
No description available
`initted` (gboolean) –
No description available
`reconfigure` (gboolean) –
No description available
`fbo` (GstGLFramebuffer *) –
No description available

### Class structure

#### GstGLViewConvertClass

Opaque GstGLViewConvertClass struct

### GstGL.GLViewConvertClass

Opaque GstGL.GLViewConvertClass struct

### GstGL.GLViewConvertClass

Opaque GstGL.GLViewConvertClass struct

## GstGL.GLViewConvert

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLViewConvert

GstGL.GLViewConvert is an opaque struct and should only be accessed through the provided api.

### Members

`object` (Gst.Object) –
No description available
`context` (GstGL.GLContext) –
No description available
`shader` (GstGL.GLShader) –
No description available
`input_mode_override` (GstVideo.VideoMultiviewMode) –
No description available
`input_flags_override` (GstVideo.VideoMultiviewFlags) –
No description available
`output_mode_override` (GstVideo.VideoMultiviewMode) –
No description available
`output_flags_override` (GstVideo.VideoMultiviewFlags) –
No description available
`downmix_mode` (GstGL.GLStereoDownmix) –
No description available
`in_info` (GstVideo.VideoInfo) –
No description available
`out_info` (GstVideo.VideoInfo) –
No description available
`from_texture_target` (GstGL.GLTextureTarget) –
No description available
`to_texture_target` (GstGL.GLTextureTarget) –
No description available
`caps_passthrough` (Number) –
No description available
`initted` (Number) –
No description available
`reconfigure` (Number) –
No description available
`fbo` (GstGL.GLFramebuffer) –
No description available

## GstGL.GLViewConvert

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLViewConvert

GstGL.GLViewConvert is an opaque struct and should only be accessed through the provided api.

### Members

`object` (Gst.Object) –
No description available
`context` (GstGL.GLContext) –
No description available
`shader` (GstGL.GLShader) –
No description available
`input_mode_override` (GstVideo.VideoMultiviewMode) –
No description available
`input_flags_override` (GstVideo.VideoMultiviewFlags) –
No description available
`output_mode_override` (GstVideo.VideoMultiviewMode) –
No description available
`output_flags_override` (GstVideo.VideoMultiviewFlags) –
No description available
`downmix_mode` (GstGL.GLStereoDownmix) –
No description available
`in_info` (GstVideo.VideoInfo) –
No description available
`out_info` (GstVideo.VideoInfo) –
No description available
`from_texture_target` (GstGL.GLTextureTarget) –
No description available
`to_texture_target` (GstGL.GLTextureTarget) –
No description available
`caps_passthrough` (bool) –
No description available
`initted` (bool) –
No description available
`reconfigure` (bool) –
No description available
`fbo` (GstGL.GLFramebuffer) –
No description available

### Constructors

#### gst_gl_view_convert_new

    GstGLViewConvert *
    gst_gl_view_convert_new ()

Returns ( [transfer: full]) –

a new GstGLViewConvert

Since : 1.6

#### GstGL.GLViewConvert.prototype.new

    function GstGL.GLViewConvert.prototype.new(): {
        // javascript wrapper for 'gst_gl_view_convert_new'
    }

Returns (GstGL.GLViewConvert) –

a new GstGL.GLViewConvert

Since : 1.6

#### GstGL.GLViewConvert.new

    def GstGL.GLViewConvert.new ():
        #python wrapper for 'gst_gl_view_convert_new'

Returns (GstGL.GLViewConvert) –

a new GstGL.GLViewConvert

Since : 1.6

### Methods

#### gst_gl_view_convert_fixate_caps

    GstCaps *
    gst_gl_view_convert_fixate_caps (GstGLViewConvert * viewconvert,
                                     GstPadDirection direction,
                                     GstCaps * caps,
                                     GstCaps * othercaps)

Provides an implementation of fixate_caps()

Parameters:

`viewconvert` –

a GstGLViewConvert

`direction` –

a GstPadDirection

`caps` ( [transfer: none]) –

the GstCaps of direction

`othercaps` ( [transfer: full]) –

the GstCaps to fixate

Returns ( [transfer: full]) –

the fixated GstCaps

Since : 1.6

#### GstGL.GLViewConvert.prototype.fixate_caps

    function GstGL.GLViewConvert.prototype.fixate_caps(direction: Gst.PadDirection, caps: Gst.Caps, othercaps: Gst.Caps): {
        // javascript wrapper for 'gst_gl_view_convert_fixate_caps'
    }

Provides an implementation of vfunc_fixate_caps()

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`direction` (Gst.PadDirection) –

a Gst.PadDirection

`caps` (Gst.Caps) –

the Gst.Caps of direction

`othercaps` (Gst.Caps) –

the Gst.Caps to fixate

Returns (Gst.Caps) –

the fixated Gst.Caps

Since : 1.6

#### GstGL.GLViewConvert.fixate_caps

    def GstGL.GLViewConvert.fixate_caps (self, direction, caps, othercaps):
        #python wrapper for 'gst_gl_view_convert_fixate_caps'

Provides an implementation of do_fixate_caps()

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`direction` (Gst.PadDirection) –

a Gst.PadDirection

`caps` (Gst.Caps) –

the Gst.Caps of direction

`othercaps` (Gst.Caps) –

the Gst.Caps to fixate

Returns (Gst.Caps) –

the fixated Gst.Caps

Since : 1.6

#### gst_gl_view_convert_get_output

    GstFlowReturn
    gst_gl_view_convert_get_output (GstGLViewConvert * viewconvert,
                                    GstBuffer ** outbuf_ptr)

Retrieve the processed output buffer placing the output in outbuf_ptr.

Parameters:

`viewconvert` –

a GstGLViewConvert

`outbuf_ptr` ( [out]) –

a GstBuffer

Returns –

a GstFlowReturn

Since : 1.6

#### GstGL.GLViewConvert.prototype.get_output

    function GstGL.GLViewConvert.prototype.get_output(): {
        // javascript wrapper for 'gst_gl_view_convert_get_output'
    }

Retrieve the processed output buffer placing the output in outbuf_ptr.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

Returns a tuple made of:

(Gst.FlowReturn ) –

a Gst.FlowReturn

`outbuf_ptr` (Gst.Buffer ) –

a Gst.FlowReturn

Since : 1.6

#### GstGL.GLViewConvert.get_output

    def GstGL.GLViewConvert.get_output (self):
        #python wrapper for 'gst_gl_view_convert_get_output'

Retrieve the processed output buffer placing the output in outbuf_ptr.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

Returns a tuple made of:

(Gst.FlowReturn ) –

a Gst.FlowReturn

`outbuf_ptr` (Gst.Buffer ) –

a Gst.FlowReturn

Since : 1.6

#### gst_gl_view_convert_perform

    GstBuffer *
    gst_gl_view_convert_perform (GstGLViewConvert * viewconvert,
                                 GstBuffer * inbuf)

Converts the data contained by inbuf using the formats specified by the GstCaps passed to gst_gl_view_convert_set_caps

Parameters:

`viewconvert` –

a GstGLViewConvert

`inbuf` ( [transfer: none]) –

the GstGLMemory filled GstBuffer to convert

Returns ( [transfer: full][nullable]) –

a converted GstBuffer or NULL

Since : 1.6

#### GstGL.GLViewConvert.prototype.perform

    function GstGL.GLViewConvert.prototype.perform(inbuf: Gst.Buffer): {
        // javascript wrapper for 'gst_gl_view_convert_perform'
    }

Converts the data contained by inbuf using the formats specified by the Gst.Caps passed to GstGL.GLViewConvert.prototype.set_caps

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`inbuf` (Gst.Buffer) –

the GstGL.GLMemory filled Gst.Buffer to convert

Returns (Gst.Buffer) –

a converted Gst.Buffer or NULL

Since : 1.6

#### GstGL.GLViewConvert.perform

    def GstGL.GLViewConvert.perform (self, inbuf):
        #python wrapper for 'gst_gl_view_convert_perform'

Converts the data contained by inbuf using the formats specified by the Gst.Caps passed to GstGL.GLViewConvert.set_caps

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`inbuf` (Gst.Buffer) –

the GstGL.GLMemory filled Gst.Buffer to convert

Returns (Gst.Buffer) –

a converted Gst.Buffer or NULL

Since : 1.6

#### gst_gl_view_convert_reset

    gst_gl_view_convert_reset (GstGLViewConvert * viewconvert)

Reset viewconvert to the default state. Further operation will require setting the caps with gst_gl_view_convert_set_caps.

Parameters:

`viewconvert` –

a GstGLViewConvert

Since : 1.6

#### GstGL.GLViewConvert.prototype.reset

    function GstGL.GLViewConvert.prototype.reset(): {
        // javascript wrapper for 'gst_gl_view_convert_reset'
    }

Reset viewconvert to the default state. Further operation will require setting the caps with GstGL.GLViewConvert.prototype.set_caps.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

Since : 1.6

#### GstGL.GLViewConvert.reset

    def GstGL.GLViewConvert.reset (self):
        #python wrapper for 'gst_gl_view_convert_reset'

Reset viewconvert to the default state. Further operation will require setting the caps with GstGL.GLViewConvert.set_caps.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

Since : 1.6

#### gst_gl_view_convert_set_caps

    gboolean
    gst_gl_view_convert_set_caps (GstGLViewConvert * viewconvert,
                                  GstCaps * in_caps,
                                  GstCaps * out_caps)

Initializes viewconvert with the information required for conversion.

Parameters:

`viewconvert` –

a GstGLViewConvert

`in_caps` –

input GstCaps

`out_caps` –

output GstCaps

Returns –
No description available

Since : 1.6

#### GstGL.GLViewConvert.prototype.set_caps

    function GstGL.GLViewConvert.prototype.set_caps(in_caps: Gst.Caps, out_caps: Gst.Caps): {
        // javascript wrapper for 'gst_gl_view_convert_set_caps'
    }

Initializes viewconvert with the information required for conversion.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`in_caps` (Gst.Caps) –

input Gst.Caps

`out_caps` (Gst.Caps) –

output Gst.Caps

Returns (Number) –
No description available

Since : 1.6

#### GstGL.GLViewConvert.set_caps

    def GstGL.GLViewConvert.set_caps (self, in_caps, out_caps):
        #python wrapper for 'gst_gl_view_convert_set_caps'

Initializes viewconvert with the information required for conversion.

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`in_caps` (Gst.Caps) –

input Gst.Caps

`out_caps` (Gst.Caps) –

output Gst.Caps

Returns (bool) –
No description available

Since : 1.6

#### gst_gl_view_convert_set_context

    gst_gl_view_convert_set_context (GstGLViewConvert * viewconvert,
                                     GstGLContext * context)

Set context on viewconvert

Parameters:

`viewconvert` –

a GstGLViewConvert

`context` –

the GstGLContext to set

Since : 1.6

#### GstGL.GLViewConvert.prototype.set_context

    function GstGL.GLViewConvert.prototype.set_context(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_view_convert_set_context'
    }

Set context on viewconvert

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`context` (GstGL.GLContext) –

the GstGL.GLContext to set

Since : 1.6

#### GstGL.GLViewConvert.set_context

    def GstGL.GLViewConvert.set_context (self, context):
        #python wrapper for 'gst_gl_view_convert_set_context'

Set context on viewconvert

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`context` (GstGL.GLContext) –

the GstGL.GLContext to set

Since : 1.6

#### gst_gl_view_convert_submit_input_buffer

    GstFlowReturn
    gst_gl_view_convert_submit_input_buffer (GstGLViewConvert * viewconvert,
                                             gboolean is_discont,
                                             GstBuffer * input)

Submit input to be processed by viewconvert

Parameters:

`viewconvert` –

a GstGLViewConvert

`is_discont` –

true if we have a discontinuity

`input` ( [transfer: full]) –

a GstBuffer

Returns –

a GstFlowReturn

Since : 1.6

#### GstGL.GLViewConvert.prototype.submit_input_buffer

    function GstGL.GLViewConvert.prototype.submit_input_buffer(is_discont: Number, input: Gst.Buffer): {
        // javascript wrapper for 'gst_gl_view_convert_submit_input_buffer'
    }

Submit input to be processed by viewconvert

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`is_discont` (Number) –

true if we have a discontinuity

`input` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a Gst.FlowReturn

Since : 1.6

#### GstGL.GLViewConvert.submit_input_buffer

    def GstGL.GLViewConvert.submit_input_buffer (self, is_discont, input):
        #python wrapper for 'gst_gl_view_convert_submit_input_buffer'

Submit input to be processed by viewconvert

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`is_discont` (bool) –

true if we have a discontinuity

`input` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a Gst.FlowReturn

Since : 1.6

#### gst_gl_view_convert_transform_caps

    GstCaps *
    gst_gl_view_convert_transform_caps (GstGLViewConvert * viewconvert,
                                        GstPadDirection direction,
                                        GstCaps * caps,
                                        GstCaps * filter)

Provides an implementation of transform_caps()

Parameters:

`viewconvert` –

a GstGLViewConvert

`direction` –

a GstPadDirection

`caps` ( [transfer: none]) –

the GstCaps to transform

`filter` ( [transfer: none]) –

a set of filter GstCaps

Returns ( [transfer: full]) –

the converted GstCaps

Since : 1.6

#### GstGL.GLViewConvert.prototype.transform_caps

    function GstGL.GLViewConvert.prototype.transform_caps(direction: Gst.PadDirection, caps: Gst.Caps, filter: Gst.Caps): {
        // javascript wrapper for 'gst_gl_view_convert_transform_caps'
    }

Provides an implementation of vfunc_transform_caps()

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`direction` (Gst.PadDirection) –

a Gst.PadDirection

`caps` (Gst.Caps) –

the Gst.Caps to transform

`filter` (Gst.Caps) –

a set of filter Gst.Caps

Returns (Gst.Caps) –

the converted Gst.Caps

Since : 1.6

#### GstGL.GLViewConvert.transform_caps

    def GstGL.GLViewConvert.transform_caps (self, direction, caps, filter):
        #python wrapper for 'gst_gl_view_convert_transform_caps'

Provides an implementation of do_transform_caps()

Parameters:

`viewconvert` (GstGL.GLViewConvert) –

a GstGL.GLViewConvert

`direction` (Gst.PadDirection) –

a Gst.PadDirection

`caps` (Gst.Caps) –

the Gst.Caps to transform

`filter` (Gst.Caps) –

a set of filter Gst.Caps

Returns (Gst.Caps) –

the converted Gst.Caps

Since : 1.6

### Properties

#### downmix-mode

    “downmix-mode” GstGLStereoDownmix *

Flags : Read / Write

#### downmix-mode

    “downmix-mode” GstGL.GLStereoDownmix

Flags : Read / Write

#### downmix_mode

    “self.props.downmix_mode” GstGL.GLStereoDownmix

Flags : Read / Write

#### input-flags-override

    “input-flags-override” GstVideoMultiviewFlags *

Flags : Read / Write

#### input-flags-override

    “input-flags-override” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### input_flags_override

    “self.props.input_flags_override” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### input-mode-override

    “input-mode-override” GstVideoMultiviewMode *

Flags : Read / Write

#### input-mode-override

    “input-mode-override” GstVideo.VideoMultiviewMode

Flags : Read / Write

#### input_mode_override

    “self.props.input_mode_override” GstVideo.VideoMultiviewMode

Flags : Read / Write

#### output-flags-override

    “output-flags-override” GstVideoMultiviewFlags *

Flags : Read / Write

#### output-flags-override

    “output-flags-override” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### output_flags_override

    “self.props.output_flags_override” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### output-mode-override

    “output-mode-override” GstVideoMultiviewMode *

Flags : Read / Write

#### output-mode-override

    “output-mode-override” GstVideo.VideoMultiviewMode

Flags : Read / Write

#### output_mode_override

    “self.props.output_mode_override” GstVideo.VideoMultiviewMode

Flags : Read / Write

## Functions

### gst_gl_stereo_downmix_mode_get_type

    GType
    gst_gl_stereo_downmix_mode_get_type ()

Returns –
No description available

### GstGL.prototype.gl_stereo_downmix_mode_get_type

    function GstGL.prototype.gl_stereo_downmix_mode_get_type(): {
        // javascript wrapper for 'gst_gl_stereo_downmix_mode_get_type'
    }

Returns (GObject.Type) –
No description available

### GstGL.gl_stereo_downmix_mode_get_type

    def GstGL.gl_stereo_downmix_mode_get_type ():
        #python wrapper for 'gst_gl_stereo_downmix_mode_get_type'

Returns (GObject.Type) –
No description available

## Enumerations

### GstGLStereoDownmix

Output anaglyph type to generate when downmixing to mono

##### Members

`GST_GL_STEREO_DOWNMIX_ANAGLYPH_GREEN_MAGENTA_DUBOIS` (0) –

Dubois optimised Green-Magenta anaglyph

`GST_GL_STEREO_DOWNMIX_ANAGLYPH_RED_CYAN_DUBOIS` (1) –

Dubois optimised Red-Cyan anaglyph

`GST_GL_STEREO_DOWNMIX_ANAGLYPH_AMBER_BLUE_DUBOIS` (2) –

Dubois optimised Amber-Blue anaglyph

### GstGL.GLStereoDownmix

Output anaglyph type to generate when downmixing to mono

##### Members

`GstGL.GLStereoDownmix.GREEN_MAGENTA_DUBOIS` (0) –

Dubois optimised Green-Magenta anaglyph

`GstGL.GLStereoDownmix.RED_CYAN_DUBOIS` (1) –

Dubois optimised Red-Cyan anaglyph

`GstGL.GLStereoDownmix.AMBER_BLUE_DUBOIS` (2) –

Dubois optimised Amber-Blue anaglyph

### GstGL.GLStereoDownmix

Output anaglyph type to generate when downmixing to mono

##### Members

`GstGL.GLStereoDownmix.GREEN_MAGENTA_DUBOIS` (0) –

Dubois optimised Green-Magenta anaglyph

`GstGL.GLStereoDownmix.RED_CYAN_DUBOIS` (1) –

Dubois optimised Red-Cyan anaglyph

`GstGL.GLStereoDownmix.AMBER_BLUE_DUBOIS` (2) –

Dubois optimised Amber-Blue anaglyph

## Constants

### GST_TYPE_GL_STEREO_DOWNMIX_MODE_TYPE

    #define GST_TYPE_GL_STEREO_DOWNMIX_MODE_TYPE GST_TYPE_GL_STEREO_DOWNMIX

The results of the search are